## org.eclipse.emf.ocl.uml.util
Class UMLTypeUtil

    java.lang.Object
      org.eclipse.emf.ocl.uml.util.UMLTypeUtil

Deprecated. Use the `UMLReflection` interface, instead, to introspect UML models.

    @Deprecated
    public class UMLTypeUtil

extends Object

Utility methods for working with the annotations that extend the Ecore model to implement certain UML semantics required by OCL.

Field Summary
`static String` `ANNOTATION_URI_ASSOCIATION_CLASS` Deprecated. Annotation that stores the reference to the `EClass` representing an association class that includes an `EReference` as a member end.
`static String` `ANNOTATION_URI_CLASSIFIER` Deprecated. Annotation that indicates what kind of a UML classifier is an `EClass`.
`static String` `ANNOTATION_URI_MEMBER_ENDS` Deprecated. Annotation that stores references to which of the `EReference`s of an `EClass` representing an association class are its member ends.
`static String` `ANNOTATION_URI_OPERATION` Deprecated. Annotation that stores details of the nature of a UML operation (modeled as an `EOperation`).
`static String` `ANNOTATION_URI_QUALIFIERS` Deprecated. Annotation that stores qualifiers (if any) of a UML association end (modeled as an `EReference`).
`static String` `ANNOTATION_URI_SIGNALS` Deprecated. Annotation that stores references to `EClass`es representing signals that an `EClass` can receive.

Method Summary
`static void` `addMemberEnd(EClass associationClass, EReference memberEnd)` Deprecated. Adds a member end to an EMF classifier representing a UML association class.
`static void` `addQualifier(EStructuralFeature property, EStructuralFeature qualifier)` Deprecated. Adds a UML qualifier to the specified property.
`static void` `addSignal(EClass eclass, EClass signal)` Deprecated. Adds a UML signal that the specified classifier can receive.
`static EClass` `getAssociationClass(EReference reference)` Deprecated. Obtains the `EClass` representing the "class" aspect of the UML association class that the specified `EReference` represents.
`static EList` `getMemberEnds(EClass associationClass)` Deprecated. Obtains the member ends of an EMF classifier representing a UML association class.
`static EStructuralFeature` `getProperty(EStructuralFeature qualifier)` Deprecated. Queries the property that has the specified qualifier, if any.
`static EList` `getQualifiers(EStructuralFeature property)` Deprecated. Obtains the UML qualifiers, if any, associated with the specified property.
`static EList` `getSignals(EClass eclass)` Deprecated. Obtains the UML signals that the specified classifier can receive, if any.
`static boolean` `isAssociationClass(EClassifier classifier)` Deprecated. Queries whether the specified classifier represents a UML association class.
`static boolean` `isClass(EClassifier classifier)` Deprecated. Queries whether the specified classifier represents a UML class.
`static boolean` `isDataType(EClassifier classifier)` Deprecated. Queries whether the specified classifier represents a UML data type.
`static boolean` `isEnumeration(EClassifier classifier)` Deprecated. Queries whether the specified classifier represents a UML enumeration.
`static boolean` `isQuery(EOperation operation)` Deprecated. Queries whether the specified operation is a query (side-effect free).
`static boolean` `isSignal(EClassifier classifier)` Deprecated. Queries whether the specified classifier represents a UML signal.
`static void` `setAssociationClass(EClassifier classifier, boolean isAssociationClass)` Deprecated. Sets whether the specified classifier represents a UML association class.
`static void` `setAssociationClass(EReference reference, EClass associationClass)` Deprecated. Sets the association class that an EReference represents (in its role of a UML association).
`static void` `setClass(EClassifier classifier, boolean isClass)` Deprecated. Sets whether the specified classifier represents a UML class.
`static void` `setDataType(EClassifier classifier, boolean isDataType)` Deprecated. Sets whether the specified classifier represents a UML data type.
`static void` `setEnumeration(EClassifier classifier, boolean isEnumeration)` Deprecated. Sets whether the specified classifier represents a UML enumeration.
`static void` `setQuery(EOperation operation, boolean isQuery)` Deprecated. Sets whether the specified operation is a query (side-effect free).
`static void` `setSignal(EClassifier classifier, boolean isSignal)` Deprecated. Sets whether the specified classifier represents a UML signal.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ANNOTATION_URI_CLASSIFIER

    public static final String ANNOTATION_URI_CLASSIFIER

  Deprecated.
  Annotation that indicates what kind of a UML classifier is an `EClass`. The details map has a `"kind"` key mapping to one of the following values:
  - `"AssociationClass"` - indicates association class
  - `"Signal"` - indicates signal
  - `"Class"` - indicates class (implicit for `EClass`es)
  - `"DataType"` - indicates data type (implicit for `EDataType`s
  - `"Enumeration"` - indicates enumeration (implicit for `EEnum`s

  See Also:
    Constant Field Values

### ANNOTATION_URI_MEMBER_ENDS

    public static final String ANNOTATION_URI_MEMBER_ENDS

  Deprecated.
  Annotation that stores references to which of the `EReference`s of an `EClass` representing an association class are its member ends.

  See Also:
    Constant Field Values

### ANNOTATION_URI_ASSOCIATION_CLASS

    public static final String ANNOTATION_URI_ASSOCIATION_CLASS

  Deprecated.
  Annotation that stores the reference to the `EClass` representing an association class that includes an `EReference` as a member end.

  See Also:
    Constant Field Values

### ANNOTATION_URI_OPERATION

    public static final String ANNOTATION_URI_OPERATION

  Deprecated.
  Annotation that stores details of the nature of a UML operation (modeled as an `EOperation`). The details map supports the following keys:
  - `"isQuery"` - value "true" or "false" according to whether the operation is a query (side-effect-free) operation

  See Also:
    Constant Field Values

### ANNOTATION_URI_QUALIFIERS

    public static final String ANNOTATION_URI_QUALIFIERS

  Deprecated.
  Annotation that stores qualifiers (if any) of a UML association end (modeled as an `EReference`). The qualifiers are `EStructuralFeature`s in the annotation's contents list.

  See Also:
    Constant Field Values

### ANNOTATION_URI_SIGNALS

    public static final String ANNOTATION_URI_SIGNALS

  Deprecated.
  Annotation that stores references to `EClass`es representing signals that an `EClass` can receive.

  See Also:
    Constant Field Values

Method Detail

### isSignal

    public static boolean isSignal(EClassifier classifier)

  Deprecated.
  Queries whether the specified classifier represents a UML signal.

  Parameters:
    `classifier` - an OCL type
  Returns:
    whether it represents a UML signal

### isAssociationClass

    public static boolean isAssociationClass(EClassifier classifier)

  Deprecated.
  Queries whether the specified classifier represents a UML association class.

  Parameters:
    `classifier` - an OCL type
  Returns:
    whether it represents a UML association class

### isClass

    public static boolean isClass(EClassifier classifier)

  Deprecated.
  Queries whether the specified classifier represents a UML class.

  Parameters:
    `classifier` - an OCL type
  Returns:
    whether it represents a UML class

### isDataType

    public static boolean isDataType(EClassifier classifier)

  Deprecated.
  Queries whether the specified classifier represents a UML data type. Note that an enumeration is a data type.

  Parameters:
    `classifier` - an OCL type
  Returns:
    whether it represents a UML data type

### isEnumeration

    public static boolean isEnumeration(EClassifier classifier)

  Deprecated.
  Queries whether the specified classifier represents a UML enumeration.

  Parameters:
    `classifier` - an OCL type
  Returns:
    whether it represents a UML enumeration

### isQuery

    public static boolean isQuery(EOperation operation)

  Deprecated.
  Queries whether the specified operation is a query (side-effect free).

  Parameters:
    `operation` - an OCL operation
  Returns:
    whether it represents a query operation

### getMemberEnds

    public static EList getMemberEnds(EClass associationClass)

  Deprecated.
  Obtains the member ends of an EMF classifier representing a UML association class.

  Parameters:
    `associationClass` - representation of a UML association class
  Returns:
    its member ends, as a list of `EReference`s
  See Also:
    `isAssociationClass(EClassifier)`, `getAssociationClass(EReference)`

### getAssociationClass

    public static EClass getAssociationClass(EReference reference)

  Deprecated.
  Obtains the `EClass` representing the "class" aspect of the UML association class that the specified `EReference` represents.

  Parameters:
    `reference` - an association class reference
  Returns:
    the reference's association class
  See Also:
    `getMemberEnds(EClass)`, `isAssociationClass(EClassifier)`

### getQualifiers

    public static EList getQualifiers(EStructuralFeature property)

  Deprecated.
  Obtains the UML qualifiers, if any, associated with the specified property.

  Parameters:
    `property` - the representation of a UML property
  Returns:
    its qualifiers, as a list of `EStructuralFeature`s, if any

### getProperty

    public static EStructuralFeature getProperty(EStructuralFeature qualifier)

  Deprecated.
  Queries the property that has the specified qualifier, if any.

  Parameters:
    `qualifier` - a UML qualifier
  Returns:
    the owning property, or `null` if none

### getSignals

    public static EList getSignals(EClass eclass)

  Deprecated.
  Obtains the UML signals that the specified classifier can receive, if any.

  Parameters:
    `eclass` - an OCL type
  Returns:
    its signals, as a list of `EClass`es, if any

### setSignal

    public static void setSignal(EClassifier classifier,
                                 boolean isSignal)

  Deprecated.
  Sets whether the specified classifier represents a UML signal.

  Parameters:
    `classifier` - an OCL type
    `isSignal` - whether it represents a UML signal

### setAssociationClass

    public static void setAssociationClass(EClassifier classifier,
                                           boolean isAssociationClass)

  Deprecated.
  Sets whether the specified classifier represents a UML association class.

  Parameters:
    `classifier` - an OCL type
    `isAssociationClass` - whether it represents a UML association class

### setClass

    public static void setClass(EClassifier classifier,
                                boolean isClass)

  Deprecated.
  Sets whether the specified classifier represents a UML class.

  Parameters:
    `classifier` - an OCL type
    `isClass` - whether it represents a UML class

### setDataType

    public static void setDataType(EClassifier classifier,
                                   boolean isDataType)

  Deprecated.
  Sets whether the specified classifier represents a UML data type. Note that an enumeration is a data type.

  Parameters:
    `classifier` - an OCL type
    `isDataType` - whether it represents a UML data type

### setEnumeration

    public static void setEnumeration(EClassifier classifier,
                                      boolean isEnumeration)

  Deprecated.
  Sets whether the specified classifier represents a UML enumeration.

  Parameters:
    `classifier` - an OCL type
    `isEnumeration` - whether it represents a UML enumeration

### setQuery

    public static void setQuery(EOperation operation,
                                boolean isQuery)

  Deprecated.
  Sets whether the specified operation is a query (side-effect free).

  Parameters:
    `operation` - an OCL operation
    `isQuery` - whether it represents a query operation

### addMemberEnd

    public static void addMemberEnd(EClass associationClass,
                                    EReference memberEnd)

  Deprecated.
  Adds a member end to an EMF classifier representing a UML association class. This also sets the member end's association class reference.

  Parameters:
    `associationClass` - representation of a UML association class
    `memberEnd` - the member end to add
  See Also:
    `isAssociationClass(EClassifier)`, `getAssociationClass(EReference)`

### setAssociationClass

    public static void setAssociationClass(EReference reference,
                                           EClass associationClass)

  Deprecated.
  Sets the association class that an EReference represents (in its role of a UML association). This is different than an association class member end, which is owned by an association class. In this case, the `reference` actually represents the association class.

  Parameters:
    `reference` - a reference representing a UML association class
    `associationClass` - the Ecore representation of the association class's class-ness

### addQualifier

    public static void addQualifier(EStructuralFeature property,
                                    EStructuralFeature qualifier)

  Deprecated.
  Adds a UML qualifier to the specified property.

  Parameters:
    `property` - the representation of a UML property
    `qualifier` - a qualifier to add

### addSignal

    public static void addSignal(EClass eclass,
                                 EClass signal)

  Deprecated.
  Adds a UML signal that the specified classifier can receive.

  Parameters:
    `eclass` - an OCL type
    `signal` - a signal that it can receive

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.